Cannot update or publish legacy records

Feb 18, 2019 10:43 AM - Yannis Marketakis

Status: Closed Start date: Feb 18, 2019

Priority: Normal Due date:  

Assignee: Luca Frosini % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GRSF   

Description

I'm facing the following error when trying to publish or update legacy records. 

2019-02-18 11:36:02 ERROR GrsfPublisher:110 - Fatal transport error: 

java.lang.Exception: Method failed: HTTP/1.1 500 Internal Server Error; Response body: {"id":null,

"knowledge_base_id":null,"product_url":null,"error":"refers_to cannot be null/empty"}

    at gr.forth.ics.isl.grsfservicescore.GrsfPublisher.publishRecord(GrsfPublisher.java:102)

    at gr.forth.ics.isl.grsfservicescore.clients.PublisherClient.publishRecords(PublisherClient.ja

va:758)

    at gr.forth.ics.isl.grsfservicescore.clients.PublisherClient.publishOriginalFisheries(Publishe

rClient.java:386)

    at gr.forth.ics.isl.grsfservicescore.clients.PublisherClient.publishOriginalFishery(PublisherC

lient.java:356)

    at gr.forth.ics.isl.grsfservicescore.clients.PublisherClient.main(PublisherClient.java:979)

 The property refers_to is only used when publish grsf records (and this property is used to point to the corresponding legacy

records). When publishing legacy records it does not exist, so the service should not check if it exists.

Related issues:

Blocks StocksAndFisheriesKB - Bug #13250: Honduran management organization ac... Closed Apr 11, 2064

History

#1 - Feb 18, 2019 10:44 AM - Yannis Marketakis

- Blocks Bug #13250: Honduran management organization acronym not appearing added

#2 - Feb 27, 2019 09:45 AM - Luca Frosini

- Status changed from New to In Progress

#3 - Feb 28, 2019 08:53 AM - Luca Frosini

- % Done changed from 0 to 30

#4 - Feb 28, 2019 09:38 AM - Luca Frosini

- % Done changed from 30 to 90

#7 - Mar 05, 2019 04:45 PM - Luca Frosini

- Status changed from In Progress to Closed

The patched service has been deployed

#8 - Mar 05, 2019 04:46 PM - Luca Frosini

@marketak@ics.forth.gr let me know if it works for you.

#9 - Mar 07, 2019 10:25 AM - Yannis Marketakis

- File be735335-7291-3f55-97a3-de7b9047bac2.json added

- Status changed from Closed to In Progress

@luca.frosini@isti.cnr.it thanks for the update.
I am facing a similar issue. Now it fails because it is missing the traceability flag  (which does not exist for GRSf records). Below you'll find the

corresponding part of the log

java.lang.Exception: Method failed: HTTP/1.1 500 Internal Server Error; Response body: {"id":null,"knowledge_b

ase_id":null,"product_url":null,"error":"traceability_flag cannot be null"}

 Attached you will find the json serialization of the legacy record so that you can check if there are other fields that should be mandatory.

#10 - Mar 07, 2019 10:51 AM - Luca Frosini

Hi @marketak@ics.forth.gr

thanks for your feedback.

apart refers_to, the code performs the following checks:

Boolean traceabilityFlag = record.isTraceabilityFlag();

if(traceabilityFlag == null)

    throw new Exception("traceability_flag cannot be null");

String shortTitle = record.getShortName();

if(shortTitle == null || shortTitle.isEmpty())

    throw new Exception("short_title cannot be null/empty");

Status status = record.getStatus();

if(status == null)

    throw new Exception("status cannot be null/empty");

 Do I have to exclude all of these checks for GRSF records or traceabilityFlag is enough?

#11 - Mar 07, 2019 10:57 AM - Yannis Marketakis

The fields traceability_flag and status are optional for legacy records so remove them.

The field short_name is OK.

#12 - Mar 07, 2019 11:01 AM - Luca Frosini

Summarizing:

traceability_flag and status are not mandatory for legacy records. I'll not check for them.

Do I have to perform the check for GRSF records?

#13 - Mar 07, 2019 12:35 PM - Yannis Marketakis

Yes, these fields (as well as the refers_to) are mandatory for GRSF records

#14 - Mar 07, 2019 02:44 PM - Luca Frosini

The service has been patched. We have to wait for ETICS build to update the service.

I'm reopening the upgrade ticket.

#15 - Mar 08, 2019 10:51 AM - Luca Frosini

- Status changed from In Progress to Feedback

- % Done changed from 90 to 100

@marketak@ics.forth.gr the patched service is available.

#16 - Mar 08, 2019 11:14 AM - Yannis Marketakis

- Status changed from Feedback to Closed

It works as expected. 

Thanks @luca.frosini@isti.cnr.it 

Files

be735335-7291-3f55-97a3-de7b9047bac2.json 1.98 KB Mar 07, 2019 Yannis Marketakis

Powered by TCPDF (www.tcpdf.org)

May 01, 2025 2/2

http://www.tcpdf.org

